Subject: bug#46054: isc-dhcp patch-shebang fails when cross-compiling

From: Caliph Nomble <[email-masked]>
Date: Sat, 23 Jan 2021 17:40:17 +0000

Hi,

When cross-compiling isc-dhcp (in this case x86-64 to aarch64), patch-shebang
patches in bash-minimal compiled for x86_64 for the scripts
libexec/dhclient-script and libexec/.dhclient-script-real. This pretty much
prevents dhclient from working, requiring manual network configuration.

This has happened for every disk-image build I have tested so far, which all
only use %base-packages and have the dhcp-client service.

Thanks!